For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all entities
      • POSTCreate an entity
      • GETGet the current entity
      • PATCHUpdate the current entity
      • GETGet an entity
      • PATCHUpdate an entity
      • PUTUpload an entity logo
      • DELDelete an entity's logo
      • GETGet entity metadata
      • PUTReplace entity metadata
      • GETGet entity settings
      • PATCHUpdate entity settings
      • GETGet the next document numbers for an entity
      • GETGet an entity of this user
      • PATCHUpdate an entity of this user
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntities

Get the next document numbers for an entity

GET
/entities/:entity_id/settings/next_document_numbers
GET
/v1/entities/:entity_id/settings/next_document_numbers
$curl https://api.sandbox.monite.com/v1/entities/entity_id/settings/next_document_numbers \
> -H "x-monite-version: 2024-01-31" \
> -H "Authorization: Bearer <token>"
1{
2 "credit_note": 1,
3 "delivery_note": 1,
4 "invoice": 1,
5 "purchase_order": 1,
6 "quote": 1
7}
Was this page helpful?
Previous

Get an entity of this user

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_idstringRequired
Unique ID of the entity

Headers

x-monite-versionstringRequired

Response

Successful Response
credit_noteintegerDefaults to 1
Next credit note number
delivery_noteintegerDefaults to 1
Next delivery note number
invoiceintegerDefaults to 1
Next invoice number
purchase_orderintegerDefaults to 1
Next purchase order number
quoteintegerDefaults to 1
Next quote number

Errors

401
Get Entities ID Settings Next Document Numbers Request Unauthorized Error
403
Get Entities ID Settings Next Document Numbers Request Forbidden Error
404
Get Entities ID Settings Next Document Numbers Request Not Found Error
422
Get Entities ID Settings Next Document Numbers Request Unprocessable Entity Error
500
Get Entities ID Settings Next Document Numbers Request Internal Server Error